commit:     7cefb4571593c9ba73390b5ef73368d681dc6ccb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 13 01:03:19 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 13 02:12:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cefb457

dev-python/numpy: Bump to 2.0.0_rc2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/numpy/Manifest               |   1 +
 dev-python/numpy/numpy-2.0.0_rc2.ebuild | 167 ++++++++++++++++++++++++++++++++
 2 files changed, 168 insertions(+)

diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index e74b88d9cd74..757130740cbb 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -3,3 +3,4 @@ DIST numpy-1.26.2.tar.gz 15664248 BLAKE2B 
006e511e27c009f27bf4bf6c8c30c84a4bf0e8
 DIST numpy-1.26.3.tar.gz 15679696 BLAKE2B 
4c063e1a495b187049b5604686c0411b056fd03a69b5044cff10693694a7f055c87a017334cf8d05aa4a4cb87896fdf9203f51742d3cf83dbaf611b0e6e4091a
 SHA512 
25556b41e2db9cfc52c1dfa61b05e4fc1b7b6df3b169f365375575d1146857fdb5ff91ca1508b968c296b7a06e5c6d95e82c41cdc3561587a46d3aa178f6305d
 DIST numpy-1.26.4.tar.gz 15786129 BLAKE2B 
ee759d3a857111bc494d5e989a7b005375d942b2a89cda69be4a3bd7c6cb195003fd2a8a0535f1858d8977ff688b0ec36360dcba9c3160206eedce5e28f191ef
 SHA512 
f7121ab4099fa0686f9c095d456baa4a5869d651d7b7a06385f885f329cf08f11024b5df5e7b4ee705970062a8102ec4f709512eabbfd5c9fccce4ef83b9c208
 DIST numpy-2.0.0rc1.tar.gz 18314779 BLAKE2B 
5f304986330356418302d755d2a94edabbb62b7d88f4637b9f3fa633925174a8d5044f686635ff97dc81a5b464f2a66246ef4c3ede12a2c0441778acd2380927
 SHA512 
1f3bef3fd51f074b137099921ab0bc0f1af46c9e27993f315b8a7af2cab948de9f91af341a6976d54fae099ba1aa9e0e917eecd520c3721c1ba8e17c28d40be8
+DIST numpy-2.0.0rc2.tar.gz 18323588 BLAKE2B 
e2d5d03594d0cba360d4e85207818d15a0761f37cc3fb366f8f9f8bdd97743fe0cf0d09a34319c8b6af29b2bc1fc32a7f5be30a5fa2bdebffe455baff05caf7e
 SHA512 
f86b27264c5274823aa11cbedf17c08f81f9acd05430bf40cccbbe8dcff523410629795ca5927d7f8e6c152272b274d777b64f547d23f50d11ae9fd656fd773d

diff --git a/dev-python/numpy/numpy-2.0.0_rc2.ebuild 
b/dev-python/numpy/numpy-2.0.0_rc2.ebuild
new file mode 100644
index 000000000000..9b86ed057d7a
--- /dev/null
+++ b/dev-python/numpy/numpy-2.0.0_rc2.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi toolchain-funcs
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+       https://numpy.org/
+       https://github.com/numpy/numpy/
+       https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="+lapack"
+
+RDEPEND="
+       lapack? (
+               >=virtual/cblas-3.8
+               >=virtual/lapack-3.8
+       )
+"
+BDEPEND="
+       ${RDEPEND}
+       >=dev-build/meson-1.1.0
+       >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+       lapack? (
+               virtual/pkgconfig
+       )
+       test? (
+               $(python_gen_cond_dep '
+                       >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+               ' 'python*')
+               dev-python/charset-normalizer[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+               >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       append-flags -fno-strict-aliasing
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       DISTUTILS_ARGS=(
+               -Dallow-noblas=$(usex !lapack true false)
+               -Dblas=$(usev lapack cblas)
+               -Dlapack=$(usev lapack lapack)
+               # TODO: cpu-* options
+       )
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Very disk-and-memory-hungry
+               lib/tests/test_io.py::TestSaveTxt::test_large_zip
+               lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+               
lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+               # Precision problems
+               
_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+               # Runs the whole test suite recursively, that's just crazy
+               core/tests/test_mem_policy.py::test_new_policy
+
+               typing/tests/test_typing.py
+               # Uses huge amount of memory
+               core/tests/test_mem_overlap.py
+               
'core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+
+               # TODO: crashes
+               lib/tests/test_histograms.py::TestHistogram::test_big_arrays
+
+               # likely a test problem
+               # https://github.com/numpy/numpy/issues/25135
+               core/tests/test_cython.py::test_conv_intp
+
+               # flaky
+               f2py/tests/test_crackfortran.py
+               f2py/tests/test_data.py::TestData{,F77}::test_crackedlines
+       )
+
+       if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
+               # Degenerate case of arm32 chroot on arm64, bug #774108
+               EPYTEST_DESELECT+=(
+                       
core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+               )
+       fi
+
+       if use x86 ; then
+               EPYTEST_DESELECT+=(
+                       # https://github.com/numpy/numpy/issues/18388
+                       
core/tests/test_umath.py::TestRemainder::test_float_remainder_overflow
+                       # https://github.com/numpy/numpy/issues/18387
+                       
random/tests/test_generator_mt19937.py::TestRandomDist::test_pareto
+                       # more precision problems
+                       
core/tests/test_einsum.py::TestEinsum::test_einsum_sums_int16
+               )
+       fi
+
+       if use hppa ; then
+               EPYTEST_DESELECT+=(
+                       # TODO: Get selectedrealkind updated!
+                       # bug #907228
+                       # https://github.com/numpy/numpy/issues/3424 
(https://github.com/numpy/numpy/issues/3424#issuecomment-412369029)
+                       # https://github.com/numpy/numpy/pull/21785
+                       f2py/tests/test_kind.py::TestKind::test_real
+                       f2py/tests/test_kind.py::TestKind::test_quad_precision
+               )
+       fi
+
+       if [[ $(tc-endian) == "big" ]] ; then
+               # https://github.com/numpy/numpy/issues/11831 and bug #707116
+               EPYTEST_DESELECT+=(
+                       
'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]'
+                       
'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]'
+                       
'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]'
+                       
'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]'
+                       f2py/tests/test_kind.py::TestKind::test_int
+               )
+       fi
+
+       case "${ABI}" in
+               alpha|arm|hppa|m68k|o32|ppc|s390|sh|sparc|x86)
+                       EPYTEST_DESELECT+=(
+                               # too large for 32-bit platforms
+                               
core/tests/test_ufunc.py::TestUfunc::test_identityless_reduction_huge_array
+                               
'core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+                               
'core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+                       )
+                       ;;
+               *)
+                       ;;
+       esac
+
+       if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+               # depends on importing numpy.random from system namespace
+               EPYTEST_DESELECT+=(
+                       'random/tests/test_extending.py::test_cython'
+               )
+       fi
+
+       rm -rf numpy || die
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest --pyargs numpy
+}
+
+python_install_all() {
+       local DOCS=( LICENSE.txt README.md THANKS.txt )
+       distutils-r1_python_install_all
+}

Reply via email to